* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}


.wrapper {
  height: 100vh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  overflow: hidden;
}

.main-div {
  position: relative;
  margin: 7px;
  background-color: transparent;
}

.main-div1::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 50%;
  height: 50%;
  -webkit-box-shadow: 0 0 17px 3px #ffff01,0 0 4px 2px #ffff01;
          box-shadow: 0 0 17px 3px #ffff01,0 0 4px 2px #ffff01;
  z-index: -1;
  -webkit-animation-name: yellow-shadow;
          animation-name: yellow-shadow;
  -webkit-animation-timing-function: ease;
          animation-timing-function: ease;
  -webkit-animation-duration: 7s;
          animation-duration: 7s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.main-div1::after {
  content: '';
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50%;
  height: 50%;
  -webkit-box-shadow: 0 0 17px 3px #0ff,0 0 4px 2px #0ff;
          box-shadow: 0 0 17px 3px #0ff,0 0 4px 2px #0ff;
  z-index: -1;
  -webkit-animation-name: cyan-shadow;
          animation-name: cyan-shadow;
  -webkit-animation-timing-function: ease;
          animation-timing-function: ease;
  -webkit-animation-duration: 7s;
          animation-duration: 7s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.main-div2::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -webkit-box-shadow: 0 0 17px 3px #68B6E0,0 0 4px 2px #68B6E0;
          box-shadow: 0 0 17px 3px #68B6E0,0 0 4px 2px #68B6E0;
  z-index: -1;
  -webkit-animation-name: gradient-shadow;
          animation-name: gradient-shadow;
  -webkit-animation-timing-function: ease;
          animation-timing-function: ease;
  -webkit-animation-duration: 5s;
          animation-duration: 5s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.main-div3::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 50%;
  height: 100%;
  -webkit-box-shadow: 0 0 17px 3px #FE6E4A,0 0 4px 2px #FE6E4A;
          box-shadow: 0 0 17px 3px #FE6E4A,0 0 4px 2px #FE6E4A;
  z-index: -1;
  -webkit-animation-name: half-yellow-shadow;
          animation-name: half-yellow-shadow;
  -webkit-animation-timing-function: ease;
          animation-timing-function: ease;
  -webkit-animation-duration: 7s;
          animation-duration: 7s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}

.main-div3::after {
  content: '';
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50%;
  height: 100%;
  -webkit-box-shadow: 0 0 17px 3px #5664A6,0 0 4px 2px #5664A6;
          box-shadow: 0 0 17px 3px #5664A6,0 0 4px 2px #5664A6;
  z-index: -1;
  -webkit-animation-name: half-cyan-shadow;
          animation-name: half-cyan-shadow;
  -webkit-animation-timing-function: ease;
          animation-timing-function: ease;
  -webkit-animation-duration: 7s;
          animation-duration: 7s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}



@-webkit-keyframes yellow-shadow {
  0% {
    top: 0;
    left: 0;
  }
  25% {
    top: 50%;
    left: 0;
  }
  50% {
    top: 50%;
    left: 50%;
  }
  75% {
    top: 0;
    left: 50%;
  }
  100% {
    top: 0;
    left: 0;
  }
}

@keyframes yellow-shadow {
  0% {
    top: 0;
    left: 0;
  }
  25% {
    top: 50%;
    left: 0;
  }
  50% {
    top: 50%;
    left: 50%;
  }
  75% {
    top: 0;
    left: 50%;
  }
  100% {
    top: 0;
    left: 0;
  }
}

@-webkit-keyframes cyan-shadow {
  0% {
    right: 0;
    bottom: 0;
  }
  25% {
    right: 0;
    bottom: 50%;
  }
  50% {
    right: 50%;
    bottom: 50%;
  }
  75% {
    right: 50%;
    bottom: 0;
  }
  100% {
    right: 0;
    bottom: 0;
  }
}

@keyframes cyan-shadow {
  0% {
    right: 0;
    bottom: 0;
  }
  25% {
    right: 0;
    bottom: 50%;
  }
  50% {
    right: 50%;
    bottom: 50%;
  }
  75% {
    right: 50%;
    bottom: 0;
  }
  100% {
    right: 0;
    bottom: 0;
  }
}

@-webkit-keyframes gradient-shadow {
  0% {
    -webkit-box-shadow: 0 0 17px 3px #7ddd17,0 0 4px 2px #7ddd17;
            box-shadow: 0 0 17px 3px #7ddd17,0 0 4px 2px #7ddd17;
  }
  20% {
    -webkit-box-shadow: 0 0 17px 3px #00d984,0 0 4px 2px #00d984;
            box-shadow: 0 0 17px 3px #00d984,0 0 4px 2px #00d984;
  }
  40% {
    -webkit-box-shadow: 0 0 17px 3p #00ccce,0 0 4px 2p #00ccce;
            box-shadow: 0 0 17px 3p #00ccce,0 0 4px 2p #00ccce;
  }
  60% {
    -webkit-box-shadow: 0 0 17px 3px #00b7f4,0 0 4px 2px #00b7f4;
            box-shadow: 0 0 17px 3px #00b7f4,0 0 4px 2px #00b7f4;
  }
  80% {
    -webkit-box-shadow: 0 0 17px 3px #039ced,0 0 4px 2px #039ced;
            box-shadow: 0 0 17px 3px #039ced,0 0 4px 2px #039ced;
  }
  100% {
    -webkit-box-shadow: 0 0 17px 3px #0079CA,0 0 4px 2px #0079CA;
            box-shadow: 0 0 17px 3px #0079CA,0 0 4px 2px #0079CA;
  }
}

@keyframes gradient-shadow {
  0% {
      -webkit-box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
      box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
    }
  
    10% {
      -webkit-box-shadow: 0 0 17px 3px #039ced, 0 0 4px 2px #039ced;
      box-shadow: 0 0 17px 3px #039ced, 0 0 4px 2px #039ced;
    }
  
    20% {
      -webkit-box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
      box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
    }
  
    30% {
      -webkit-box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
      box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
    }
  
    40% {
      -webkit-box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
      box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
    }
  
    50% {
      -webkit-box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
      box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
    }
  
    60% {
      -webkit-box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
      box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
    }
  
    70% {
      -webkit-box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
      box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
    }
  
    80% {
      -webkit-box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
      box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
    }
  
    90% {
      -webkit-box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
      box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
    }
  
    100% {
      -webkit-box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
        box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
    }
}

@keyframes gradient-shadow {
  0% {
    -webkit-box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
    box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
  }

  10% {
    -webkit-box-shadow: 0 0 17px 3px #039ced, 0 0 4px 2px #039ced;
    box-shadow: 0 0 17px 3px #039ced, 0 0 4px 2px #039ced;
  }

  20% {
    -webkit-box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
    box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
  }

  30% {
    -webkit-box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
    box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
  }

  40% {
    -webkit-box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
    box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
  }

  50% {
    -webkit-box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
    box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
  }

    60% {
      -webkit-box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
      box-shadow: 0 0 17px 3px #7ddd17, 0 0 4px 2px #7ddd17;
    }
    70% {
      -webkit-box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
      box-shadow: 0 0 17px 3px #00d984, 0 0 4px 2px #00d984;
    }

    80% {
      -webkit-box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
      box-shadow: 0 0 17px 3px #00ccce, 0 0 4px 2px #00ccce;
    }

    90% {
      -webkit-box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
      box-shadow: 0 0 17px 3p #00b7f4, 0 0 4px 2p #00b7f4;
    }

    100% {
      -webkit-box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
        box-shadow: 0 0 17px 3px #0079CA, 0 0 4px 2px #0079CA;
    }

  
}


@-webkit-keyframes half-yellow-shadow {
  0% {
    top: 0;
    left: 0;
    height: 50%;
    width: 50%;
  }
  16.66% {
    top: 0;
    left: 0;
    height: 50%;
    width: 100%;
  }
  32.32% {
    top: 0;
    left: 50%;
    height: 50%;
    width: 50%;
  }
  49.98% {
    top: 50%;
    left: 50%;
    height: 50%;
    width: 50%;
  }
  66.64% {
    top: 50%;
    left: 0;
    height: 50%;
    width: 100%;
  }
  83.3% {
    top: 50%;
    left: 0;
    height: 50%;
    width: 50%;
  }
  100% {
    top: 0;
    left: 0;
    height: 50%;
    width: 50%;
  }
}

@keyframes half-yellow-shadow {
  0% {
    top: 0;
    left: 0;
    height: 50%;
    width: 50%;
  }
  16.66% {
    top: 0;
    left: 0;
    height: 50%;
    width: 100%;
  }
  32.32% {
    top: 0;
    left: 50%;
    height: 50%;
    width: 50%;
  }
  49.98% {
    top: 50%;
    left: 50%;
    height: 50%;
    width: 50%;
  }
  66.64% {
    top: 50%;
    left: 0;
    height: 50%;
    width: 100%;
  }
  83.3% {
    top: 50%;
    left: 0;
    height: 50%;
    width: 50%;
  }
  100% {
    top: 0;
    left: 0;
    height: 50%;
    width: 50%;
  }
}

@-webkit-keyframes half-cyan-shadow {
  0% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 50%;
  }
  16.66% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 100%;
  }
  32.32% {
    bottom: 0;
    right: 50%;
    height: 50%;
    width: 50%;
  }
  49.98% {
    bottom: 50%;
    right: 50%;
    height: 50%;
    width: 50%;
  }
  66.64% {
    bottom: 50%;
    right: 0;
    height: 50%;
    width: 100%;
  }
  83.3% {
    bottom: 50%;
    right: 0;
    height: 50%;
    width: 50%;
  }
  100% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 50%;
  }
}

@keyframes half-cyan-shadow {
  0% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 50%;
  }
  16.66% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 100%;
  }
  32.32% {
    bottom: 0;
    right: 50%;
    height: 50%;
    width: 50%;
  }
  49.98% {
    bottom: 50%;
    right: 50%;
    height: 50%;
    width: 50%;
  }
  66.64% {
    bottom: 50%;
    right: 0;
    height: 50%;
    width: 100%;
  }
  83.3% {
    bottom: 50%;
    right: 0;
    height: 50%;
    width: 50%;
  }
  100% {
    bottom: 0;
    right: 0;
    height: 50%;
    width: 50%;
  }
}

.asda {
 max-width: 400px;
}

.asda:after {
  content: '';
  display: block;
  height: 12px;
  background: #61BAD1;
  margin-top: 6px;
}

